import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';

class DefaultOutlineAvatar extends StatelessWidget {
  final double? outlineRadius;

  final Color? outlineColor;

  final ImageProvider? backgroundImage;

  DefaultOutlineAvatar({
    this.outlineRadius,
    this.outlineColor,
    this.backgroundImage,
  });

  @override
  Widget build(BuildContext context) {
    return CircleAvatar(
      backgroundColor: outlineColor,
      radius: outlineRadius ?? 24.0,
      child: CircleAvatar(
        backgroundImage: backgroundImage ??
            AssetImage(
              'assets/img/personas/circle-user.png',
            ),
        backgroundColor: Theme.of(context).cardColor,
      ),
    );
  }
}
