import 'package:flutter/material.dart';

class SquareAvatarFilled extends StatefulWidget {
  final double? size;
  final Color? avatarColor;
  final String? username;
  final String? profileImageUrl;
  final ImageProvider? profileDecorImgType;

  SquareAvatarFilled(
      {@required this.size,
      @required this.avatarColor,
      this.username,
      this.profileImageUrl,
      this.profileDecorImgType});

  @override
  _SquareAvatarFilledState createState() => _SquareAvatarFilledState();
}

class _SquareAvatarFilledState extends State<SquareAvatarFilled> {
  Widget _profileImage(String name, String image) {
    var nameInitial = name[0].toUpperCase();

    //if user uploads an image the initials vanish
    if (image.length > 0) {
      nameInitial = '';
    }

    return Container(
      height: widget.size ?? 48.0,
      width: widget.size ?? 48.0,
      decoration: BoxDecoration(
        color: widget.avatarColor,
        borderRadius: BorderRadius.circular(4.0),
        image: DecorationImage(
          image: widget.profileDecorImgType ?? AssetImage(image),
        ),
      ),
      child: Center(
        child: Text(
          nameInitial,
          style: TextStyle(
              fontSize: 24.0,
              fontWeight: FontWeight.bold,
              color: Theme.of(context).canvasColor),
        ),
      ),
    );
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      child: _profileImage(widget.username!, widget.profileImageUrl!),
    );
  }
}
