import 'package:flutter/material.dart';

class SquareAvatarOutline extends StatefulWidget {
  final double? size;
  final Color? avatarColor;
  final String? username;
  final String? profileImageUrl;
  final ImageProvider? profileDecorImgType;

  SquareAvatarOutline(
      {this.size,
      this.avatarColor,
      this.username,
      this.profileImageUrl,
      this.profileDecorImgType});

  @override
  _SquareAvatarOutlineState createState() => _SquareAvatarOutlineState();
}

class _SquareAvatarOutlineState extends State<SquareAvatarOutline> {
  Widget _profileImage(String name, String image) {
    var nameInitial = name[0].toUpperCase();

    //if user uploads an image the initials vanish
    if (image.length > 0) {
      nameInitial = '';
    }

    return Container(
      height: widget.size ?? 48.0,
      width: widget.size ?? 48.0,
      decoration: BoxDecoration(
        border: Border.all(color: widget.avatarColor!, width: 2.0),
        color: Theme.of(context).canvasColor,
        borderRadius: BorderRadius.circular(4.0),
        image: DecorationImage(
          image: widget.profileDecorImgType ?? AssetImage(image),
        ),
      ),
      child: Center(
        child: Text(
          nameInitial,
          style: TextStyle(
              fontSize: 24.0,
              fontWeight: FontWeight.bold,
              color: widget.avatarColor),
        ),
      ),
    );
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      child: _profileImage(widget.username!, widget.profileImageUrl!),
    );
  }
}
