import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:rothko_mobile/rothko_system/utilities/colors.dart';

// ignore: must_be_immutable
class BadgesPostioned extends StatelessWidget {
  final Color? bgColor;

  final Color? textColor;
  final String? text;
  final Alignment? alignment;
  final String? type;
  final bool? overlapping;

  BadgesPostioned(
      {this.bgColor,
      this.type,
      this.overlapping = false,
      this.alignment,
      this.text,
      this.textColor});
  @override
  Widget build(BuildContext context) {
    return Container(
        height: overlapping! ? 95 : 70.0,
        width: overlapping! ? 95 : 70.0,
        child: Center(
            child: Stack(
          children: [
            Center(
              child: Image.asset(
                'assets/img/bento_logomark.png',
                scale: overlapping! ? 2.2 : 2.2,
              ),
            ),
            type == 'badge'
                ? Align(
                    alignment: alignment!,
                    child: Container(
                      width: 24,
                      height: 24,
                      decoration: BoxDecoration(
                        shape: BoxShape.circle,
                        color: bgColor,
                      ),
                      child: Center(
                          child: Text(text!,
                              style: TextStyle(
                                  fontFamily: "Proxima",
                                  fontSize: 14,
                                  fontWeight: FontWeight.w600,
                                  color: textColor))),
                    ),
                  )
                : Align(
                    alignment: alignment!,
                    child: Container(
                      height: 8,
                      width: 8,
                      decoration: BoxDecoration(
                          color: kPrimaryBase, shape: BoxShape.circle),
                    ),
                  ),
          ],
        )));
  }
}
