import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:rothko_mobile/cache.dart';
import 'package:rothko_mobile/rothko_system/utilities/colors.dart';

// ignore: must_be_immutable
class Badges extends StatelessWidget {
  final Color? bgColor;

  final Color? textColor;

  final String? text;

  final bool? primary;

  Badges({this.bgColor, this.text, this.primary = false, this.textColor});
  @override
  Widget build(BuildContext context) {
    return Container(
        height: 40.0,
        width: 130.0,
        child: Center(
            child: Container(
          width: 24,
          height: 24,
          decoration: BoxDecoration(
            shape: BoxShape.circle,
            color: primary!
                ? RothkoCache.getTheme!(context) == ThemeMode.light
                    ? bgColor
                    : kPrimaryLighten0
                : bgColor,
          ),
          child: Center(
              child: Text(text!,
                  style: TextStyle(
                      fontFamily: "Proxima",
                      fontSize: 14,
                      fontWeight: FontWeight.w600,
                      color: primary!
                          ? RothkoCache.getTheme!(context) == ThemeMode.light
                              ? textColor
                              : kPrimaryBase
                          : textColor))),
        )));
  }
}
