import 'package:flutter/material.dart';
import 'package:percent_indicator/circular_percent_indicator.dart';
import 'package:rothko_mobile/rothko_system/utilities/colors.dart';

class ProgressCircular extends StatefulWidget {
  final double? lineWidth, size;
  final String percentage;
  final Color? backgroundColor, progressColor, fillColor;

  ProgressCircular(
      {this.percentage="20",
      this.backgroundColor,
      this.progressColor,
      this.size,
      this.fillColor,
      this.lineWidth});
  @override
  _ProgressCircularState createState() => _ProgressCircularState();
}

class _ProgressCircularState extends State<ProgressCircular> {
  @override
  Widget build(BuildContext context) {
    return Container(
      child: new CircularPercentIndicator(
        radius: (widget.size) ?? 32.0,
        fillColor: widget.fillColor ?? Colors.transparent,
        animationDuration: 1000,
        lineWidth: widget.lineWidth ?? 8.0,
        animation: true,
        percent: double.parse(widget.percentage) / 100 ,
        backgroundColor: widget.backgroundColor ?? kPrimaryLighten5,
        progressColor: widget.progressColor ?? kPrimaryBase,
      ),
    );
  }
}
