import 'package:flutter/material.dart';
import 'package:percent_indicator/linear_percent_indicator.dart';
import 'package:rothko_mobile/rothko_system/utilities/colors.dart';

class ProgressLinear extends StatefulWidget {
  final double? width, lineHeight;
  final String? percentage;
  final Color? backgroundColor, progressColor, fillColor;

  ProgressLinear(
      {this.percentage="30",
      this.backgroundColor,
      this.progressColor,
      this.width,
      this.fillColor,
      this.lineHeight});
  @override
  _ProgressLinearState createState() => _ProgressLinearState();
}

class _ProgressLinearState extends State<ProgressLinear> {
  @override
  Widget build(BuildContext context) {
    return Container(
      width: widget.width ?? MediaQuery.of(context).size.width * 0.8,
      height: 24.0,
      child: new LinearPercentIndicator(
        fillColor: widget.fillColor ?? Colors.transparent,
        animationDuration: 1000,
        width: MediaQuery.of(context).size.width * 0.4,
        lineHeight: widget.lineHeight ?? 16.0,
        center: Text(widget.percentage.toString() + "%",
            style: TextStyle(
                fontSize: 14.0,
                fontFamily: 'Proxima Nova',
                fontWeight: FontWeight.w400,
                color: double.parse(widget.percentage!) > 50
                    ? kLightNeutralLighten0
                    : kDarkNeutralBase)),
        animation: true,
        percent: double.parse(widget.percentage!) / 100 ,
        backgroundColor: widget.backgroundColor ?? kPrimaryLighten5,
        progressColor: widget.progressColor ?? kPrimaryBase,
      ),
    );
  }
}
