import 'package:flutter/material.dart';
import 'package:percent_indicator/circular_percent_indicator.dart';
import 'package:rothko_mobile/cache.dart';
import 'package:rothko_mobile/rothko_system/utilities/colors.dart';

class ProgressRotate extends StatefulWidget {
  final double? lineWidth, radius, percentFontSize;
  final String? percentage;
  final Color? backgroundColor, progressColor, fillColor;

  ProgressRotate(
      {this.percentage="20",
      this.backgroundColor,
      this.progressColor,
      this.percentFontSize,
      this.radius,
      this.fillColor = Colors.transparent,
      this.lineWidth});
  @override
  _ProgressRotateState createState() => _ProgressRotateState();
}

class _ProgressRotateState extends State<ProgressRotate> {
  @override
  Widget build(BuildContext context) {
    return Container(
      child: new CircularPercentIndicator(
        radius: widget.radius ?? 48.0,
        fillColor: widget.fillColor ?? Colors.transparent,
        animationDuration: 1000,
        lineWidth: widget.lineWidth ?? 8.0,
        animation: true,
        percent: double.parse(widget.percentage!) / 100 ,
        backgroundColor: widget.backgroundColor ?? kPrimaryLighten5,
        progressColor: widget.progressColor ?? kPrimaryBase,
        center: Text(widget.percentage.toString() + "%",
            style: TextStyle(
                fontSize: widget.percentFontSize ?? 12.0,
                fontFamily: 'Proxima Nova',
                fontWeight: FontWeight.w600,
                color: RothkoCache.getTheme!(context) == ThemeMode.light
                    ? kDarkNeutralBase
                    : kLightNeutralLighten0)),
      ),
    );
  }
}
