import 'package:flutter/material.dart';
import 'package:rothko_mobile/rothko.dart';

// ignore: must_be_immutable
class CheckboxButton extends StatefulWidget {
  final Color? color;
  bool? radioValue;
  final bool? enabled;
  bool? value;
  final void Function(bool?)? onchanged;

  CheckboxButton({
    @required this.color,
    this.radioValue = false,
    this.enabled = false,
     this.onchanged,
    this.value = false,
  });

  @override
  _CheckboxButtonState createState() => _CheckboxButtonState();
}

class _CheckboxButtonState extends State<CheckboxButton> {
  @override
  Widget build(BuildContext context) {
    return Theme(
      data: Theme.of(context).copyWith(
        unselectedWidgetColor: RothkoCache.getTheme!(context) == ThemeMode.light
            ? kDarkNeutralLighten3
            : kPrimaryLighten0,
      ),
      child: Checkbox(
        value: widget.value,
        checkColor: RothkoCache.getTheme!(context) == ThemeMode.light
            ? kPrimaryLighten0
            : kDarkNeutralBase,
        hoverColor: Colors.blue,
        activeColor:
            RothkoCache.getTheme!(context) == ThemeMode.light && widget.enabled!
                ? widget.color
                : RothkoCache.getTheme!(context) == ThemeMode.light &&
                        !widget.enabled!
                    ? kDarkNeutralDarken5
                    : kPrimaryLighten0,
        onChanged: widget.onchanged ??
            (bool? value) {
              setState(() {
                widget.value = !widget.value!;
              });
            },
      ),
    );
  }
}
