import 'package:flutter/material.dart';
import 'package:rothko_mobile/rothko.dart';
import 'package:rothko_mobile/rothko_system/utilities/colors.dart';

class ChipsRemovableColored extends StatelessWidget {
  Function onDeleted;
  final String text;
  final double? fontSize;
  final Color? chipColor;

  ChipsRemovableColored(
      {this.fontSize,
      required this.text,
      this.chipColor,
      required this.onDeleted});

  @override
  Widget build(BuildContext context) {
    return Chip(
      onDeleted: () => onDeleted,
      padding: EdgeInsets.symmetric(horizontal: 15),
      label: Text(
        text,
        style: TextStyle(
            color: chipColor == kErrorLighten5
                ? kErrorBase
                : chipColor == kSuccessLighten5
                    ? kSuccessBase
                    : chipColor == kAccentLighten5
                        ? kAccentBase
                        : chipColor == kWarningLighten5
                            ? kWarningBase
                            : chipColor == kPrimaryBase
                                ? kLightNeutralLighten0
                                : chipColor == kSuccessBase
                                    ? kLightNeutralLighten0
                                    : chipColor == kWarningBase
                                        ? kLightNeutralLighten0
                                        : chipColor == kAccentBase
                                            ? kLightNeutralLighten0
                                            : chipColor == kErrorBase
                                                ? kLightNeutralLighten0
                                                : kPrimaryBase,
            fontFamily: 'Proxima Nova',
            fontWeight: FontWeight.w600),
      ),
      backgroundColor: chipColor ??
          (RothkoCache.getTheme!(context) == ThemeMode.light
              ? kDarkNeutralBase
              : kLightNeutralLighten5),
      deleteIcon: Icon(
        Icons.cancel_rounded,
      ),
      deleteIconColor: chipColor == kErrorLighten5 ||
              chipColor == kWarningLighten5 ||
              chipColor == kPrimaryLighten5 ||
              chipColor == kAccentLighten5 ||
              chipColor == kSuccessLighten5 ||
              chipColor == kPrimaryLighten5
          ? kDarkNeutralBase
          : kLightNeutralBase,
    );
  }
}
