import 'package:flutter/material.dart';
import 'package:rothko_mobile/rothko_system/utilities/colors.dart';

class RadioButton extends StatefulWidget {
  final Color? color;
  bool? radioValue;
  final bool? enabled;
  final dynamic? value;
  final Function()? tap;

  RadioButton({
    @required this.color,
    this.radioValue = false,
    this.enabled = false,
    this.tap,
    this.value,
  });

  @override
  _RadioButtonState createState() => _RadioButtonState();
}

class _RadioButtonState extends State<RadioButton> {
  @override
  Widget build(BuildContext context) {
    return InkWell(
      splashColor: kLightNeutralLighten4,
      onTap: widget.tap ??
          () {
            setState(() {
              widget.radioValue = !widget.radioValue!;
            });
          },
      child: Container(
        width: 24,
        height: 24,
        child: Container(
          width: 18,
          height: 18,
          decoration: BoxDecoration(
            shape: BoxShape.circle,
            border: widget.radioValue!
                ? Border.all(
                    color:
                        widget.enabled! ? widget.color! : kDarkNeutralLighten2,
                    width: 1.5)
                : Border.all(color: kDarkNeutralLighten3, width: 1.5),
          ),
          child: widget.radioValue!
              ? Center(
                  child: Container(
                    width: 13.5,
                    height: 13.5,
                    decoration: BoxDecoration(
                        borderRadius: BorderRadius.circular(6.75),
                        color: widget.enabled!
                            ? widget.color
                            : kDarkNeutralLighten2),
                  ),
                )
              : SizedBox(),
        ),
      ),
    );
  }
}
