import 'package:flutter/material.dart';
import 'package:rothko_mobile/rothko_system/utilities/colors.dart';

class SliderPaddleShape extends StatefulWidget {
  final Color? sliderColor;
  final double? min, max;
  final int? divisions;

  SliderPaddleShape({this.sliderColor, this.max, this.divisions, this.min});

  @override
  _SliderPaddleShapeState createState() => _SliderPaddleShapeState();
}

class _SliderPaddleShapeState extends State<SliderPaddleShape> {
  double _value = 0.0;

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 80.0,
      width: 160.0,
      child: SliderTheme(
        data: SliderTheme.of(context).copyWith(
            trackHeight: 2.0,
            inactiveTrackColor: widget.sliderColor,
            valueIndicatorColor: kLightNeutralLighten5,
            valueIndicatorShape: PaddleSliderValueIndicatorShape(),
            valueIndicatorTextStyle: TextStyle(
                color: kLightNeutralLighten0,
                fontFamily: 'Proxima Nova',
                fontSize: 14.0),
            thumbShape: RoundSliderThumbShape(enabledThumbRadius: 6.0)),
        child: Slider(
          inactiveColor:
              _value == 0 ? kDarkNeutralLighten4 : widget.sliderColor,
          activeColor: _value != 0 ? widget.sliderColor : kDarkNeutralLighten2,
          value: _value,
          min: widget.min!,
          max: widget.max!,
          divisions: widget.divisions,
          label: '${_value.toInt()}',
          onChanged: (value) {
            setState(() {
              _value = value;
            });
          },
        ),
      ),
    );
  }
}
