import 'package:flutter/material.dart';
import 'package:rothko_mobile/rothko_system/utilities/colors.dart';

class SliderSimple extends StatefulWidget {
  final Color? sliderColor;
  final int? divisions;
  final double? min, max;

  SliderSimple(
      {@required this.sliderColor,
      @required this.divisions,
      @required this.max,
      @required this.min});

  @override
  _SliderSimpleState createState() => _SliderSimpleState();
}

class _SliderSimpleState extends State<SliderSimple> {
  double _value = 0.0;
  bool active = false;

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 80.0,
      width: 160.0,
      child: SliderTheme(
        data: SliderTheme.of(context).copyWith(
            inactiveTrackColor: widget.sliderColor,
            valueIndicatorColor: kLightNeutralLighten5,
            valueIndicatorTextStyle: TextStyle(
                color: kDarkNeutralBase,
                fontFamily: 'Proxima Nova',
                fontSize: 14.0),
            thumbShape: RoundSliderThumbShape(enabledThumbRadius: 6.0)),
        child: Slider(
          inactiveColor:
              _value == 0 ? kDarkNeutralLighten4 : widget.sliderColor,
          activeColor: _value != 0 ? widget.sliderColor : kDarkNeutralLighten2,
          value: _value,
          min: widget.min!,
          max: widget.max!,
          divisions: widget.divisions,
          label: '₦${_value.toInt()}',
          onChanged: (value) {
            setState(() {
              _value = value;
            });
          },
        ),
      ),
    );
  }
}
