import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:rothko_mobile/cache.dart';

class ThemeModeProvider extends ChangeNotifier {
  static final ThemeModeProvider _themeModeProvider =
      ThemeModeProvider._internal();

  factory ThemeModeProvider([ThemeMode? c]) {
    if (c != null) _current = c;
    return _themeModeProvider;
  }

  ThemeModeProvider._internal();

  static ThemeMode? _current;

  ThemeMode get current => _current!;

  void toggle() {

    _current =
        ThemeMode.values[(_current!.index + 1) % ThemeMode.values.length];
    notifyListeners();
  }

  static ThemeMode getCurrentTheme([BuildContext? context]) {
    return Provider.of<ThemeModeProvider>(
            context ?? RothkoCache.navigatorKey!.currentContext!)
        .current;
  }

  @override
  void dispose() {
    // TODO: implement dispose
    // super.dispose();
  }
}
